VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ZoomGestureEvent Struct Reference
New classes » Version 4.11

ZoomGestureEvent. More...

`#include <events.h>`

Inheritance diagram for ZoomGestureEvent:

## Public Member Functions
| ZoomGestureEvent ()
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Public Attributes
double | zoom
Public Attributes inherited from GestureEvent
Phase | phase {Phase::Unknown}
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?

## Additional Inherited Members
Public Types inherited from GestureEvent
enum class | Phase : uint32_t { Unknown , Begin , Changed , End }

## Detailed Description

ZoomGestureEvent.

## Constructor & Destructor Documentation

## ◆ ZoomGestureEvent()

ZoomGestureEvent | ( |  | ) |
| inline

## Member Data Documentation

## ◆ zoom

double zoom

The documentation for this struct was generated from the following file:

- events.h